Teams
Get a team
Returns one team with its country, main competition, stadium and is_mens_team.
Example: GET /football/teams/tm_9145 (Arsenal)
GET
/
football
/
teams
/
{team_id}
Get a team
curl --request GET \
--url https://api.thestatsapi.com/api/football/teams/{team_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thestatsapi.com/api/football/teams/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thestatsapi.com/api/football/teams/{team_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "tm_0406",
"name": "Liverpool",
"short_name": "Liverpool",
"country": "England",
"is_mens_team": true,
"primary_competition": {
"id": "comp_3039",
"name": "Premier League"
},
"stadium": {
"name": "Anfield",
"capacity": 61276,
"city": "Liverpool"
}
}
}To get a team’s fixtures and results, pass its
team_id to List matches. See Fixtures and results.Authorizations
Your API key, sent as Authorization: Bearer YOUR_API_KEY. Get one at https://www.thestatsapi.com/api-keys
Path Parameters
⌘I
Get a team
curl --request GET \
--url https://api.thestatsapi.com/api/football/teams/{team_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thestatsapi.com/api/football/teams/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thestatsapi.com/api/football/teams/{team_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "tm_0406",
"name": "Liverpool",
"short_name": "Liverpool",
"country": "England",
"is_mens_team": true,
"primary_competition": {
"id": "comp_3039",
"name": "Premier League"
},
"stadium": {
"name": "Anfield",
"capacity": 61276,
"city": "Liverpool"
}
}
}